# Uses of Interface
org.eclipse.emf.cdo.lm.Dependency

Packages that use Dependency
Package
Description
org.eclipse.emf.cdo.lm
The generated EMF API of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.impl
The generated EMF implementation of the CDO Lifecycle Management model.
org.eclipse.emf.cdo.lm.reviews.impl
org.eclipse.emf.cdo.lm.util
The generated EMF utilities of the CDO Lifecycle Management model.

## Uses of Dependency in org.eclipse.emf.cdo.lm

Methods in org.eclipse.emf.cdo.lm that return Dependency
Modifier and Type
Method
Description
`Dependency`
LMFactory.`createDependency()`
Returns a new object of class 'Dependency'.
Methods in org.eclipse.emf.cdo.lm that return types with arguments of type Dependency
Modifier and Type
Method
Description
`EList<Dependency>`
FixedBaseline.`getDependencies()`
Returns the value of the 'Dependencies' containment reference list.

## Uses of Dependency in org.eclipse.emf.cdo.lm.impl

Classes in org.eclipse.emf.cdo.lm.impl that implement Dependency
Modifier and Type
Class
Description
`class`
`DependencyImpl`
An implementation of the model object 'Dependency'.
Methods in org.eclipse.emf.cdo.lm.impl that return Dependency
Modifier and Type
Method
Description
`Dependency`
LMFactoryImpl.`createDependency()`
Methods in org.eclipse.emf.cdo.lm.impl that return types with arguments of type Dependency
Modifier and Type
Method
Description
`EList<Dependency>`
FixedBaselineImpl.`getDependencies()`

## Uses of Dependency in org.eclipse.emf.cdo.lm.reviews.impl

Methods in org.eclipse.emf.cdo.lm.reviews.impl that return types with arguments of type Dependency
Modifier and Type
Method
Description
`EList<Dependency>`
DropReviewImpl.`getDependencies()`

## Uses of Dependency in org.eclipse.emf.cdo.lm.util

Methods in org.eclipse.emf.cdo.lm.util with parameters of type Dependency
Modifier and Type
Method
Description
`T`
LMSwitch.`caseDependency(Dependency object)`
Returns the result of interpreting the object as an instance of 'Dependency'.